Package com.sun.ts.lib.harness

# Class RemoteStatus

java.lang.Object
com.sun.ts.lib.harness.RemoteStatus

All Implemented Interfaces:
  `Serializable`

public class RemoteStatus extends Object implements Serializable
Used to return status information from the server to the client.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteStatus(Status s)`
  Create a RemoteStatus from a Status
  `RemoteStatus(Status s, Throwable error)`
  Create a RemoteStatus from a Status and an error

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorMessage()`
  Get the error message
  `StackTraceElement[]`
  `getErrorTrace()`
  Get the error trace
  `int`
  `getType()`
  Get the type of the status
  `boolean`
  `hasError()`
  See if this status has error information
  `Status`
  `toStatus()`
  Convert this RemoteStatus to a Status
  `String`
  `toString()`
  String representation with status and cause information.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoteStatus

    public RemoteStatus(Status s)
    Create a RemoteStatus from a Status
    Parameters:
      `s` - - test status

  - ### RemoteStatus

    public RemoteStatus(Status s, Throwable error)
    Create a RemoteStatus from a Status and an error
    Parameters:
      `s` - - test status
      `error` - - error that caused the status

- ## Method Details

  - ### toStatus

    public Status toStatus()
    Convert this RemoteStatus to a Status
    Returns:
      Status

  - ### getType

    public int getType()
    Get the type of the status
    Returns:
      type

  - ### hasError

    public boolean hasError()
    See if this status has error information
    Returns:
      true if there is error information

  - ### getErrorTrace

    public StackTraceElement[] getErrorTrace()
    Get the error trace
    Returns:
      error trace or null

  - ### getErrorMessage

    public String getErrorMessage()
    Get the error message
    Returns:
      error message or null

  - ### toString

    public String toString()
    String representation with status and cause information. Optionally may have error message and trace.
    Overrides:
      `toString` in class `Object`
    Returns:
      string representation